Product comparison · 2 wireless routers

Digicom Michelangelo WAVE vs Digicom Michelangelo WAVE 300 Bundle

Add a product
  • 23specifications compared
  • 9differ
  • 14identical
  • 21known for one product only

Key differences

  • Networking standards
    • Michelangelo WAVE:IEEE 802.11b, IEEE 802.11g
    • Michelangelo WAVE 300 Bundle:IEEE 802.11n
  • VPN support
    • Michelangelo WAVE:L2TP, PPTP, IPSec
    • Michelangelo WAVE 300 Bundle:PPTP, IPSec, L2TP
  • Security algorithms
    • Michelangelo WAVE:WEP, WPA, WPA2
    • Michelangelo WAVE 300 Bundle:TKIP, WEP, WPA, WPA2
  • Product colour
    • Michelangelo WAVE:Black
    • Michelangelo WAVE 300 Bundle:White
  • Dimensions (WxDxH)
    • Michelangelo WAVE:190 x 140 x 45 mm
    • Michelangelo WAVE 300 Bundle:180 x 135 x 40 mm
  • Maximum data transfer rate
    • Michelangelo WAVE:0.054 Gbit/s
    • Michelangelo WAVE 300 Bundle:0.3 Gbit/s
  • Supported WAN type
    • Michelangelo WAVE:ADSL2/2+
    • Michelangelo WAVE 300 Bundle:ADSL2

Side by side

Differences highlightedShow differences only (on)
Comparison of Michelangelo WAVE, Michelangelo WAVE 300 Bundle
44 specifications
Network2 differ
Networking standardsDiffersIEEE 802.11b, IEEE 802.11gIEEE 802.11n
VPN supportDiffersL2TP, PPTP, IPSecPPTP, IPSec, L2TP
DSL features1 differ
DSL specificationDiffersADSL2+, ADSL2, G.dmt, G.Lite, G.hsADSL2+, ADSL2, DELT, READSL2, ANSI T1.413, G.dmt, G.lite, G.hs
Ports & interfacesidentical
Ethernet LAN (RJ-45) portsKnown for oneUnknown — not stated by the source4
Management featuresidentical
Quality of Service (QoS) supportKnown for oneUnknown — not stated by the sourceYes
Security1 differ
Security algorithmsDiffersWEP, WPA, WPA2TKIP, WEP, WPA, WPA2
Network address translation (NAT)Known for oneUnknown — not stated by the sourceYes
Firewall securityKnown for oneSOHOUnknown — not stated by the source
FilteringKnown for oneYesUnknown — not stated by the source
MAC address filteringKnown for oneYesUnknown — not stated by the source
NAT functionalityKnown for oneNAT, NAT Full FeaturesUnknown — not stated by the source
Protocols1 differ
Supported network protocolsDiffersPPPoA, PPPoE, RFC-2364, RFC-2516, RFC-1483, ENET ENCAPHTTP, DHCP, TCP/IP, RIP1/2, DDNS, UPNP, Syslog, SNMP, SNTP, DNS, IGMP
Data link protocolsKnown for onePPP, Virtual Server, Dinamic DNS, RIPUnknown — not stated by the source
Design1 differ
Product colourDiffersBlackWhite
Packaging contentidentical
ManualKnown for oneUnknown — not stated by the sourceYes
Featuresidentical
Internal memoryKnown for oneUnknown — not stated by the source8 MB
Flash memoryKnown for oneUnknown — not stated by the source8 MB
Firmware upgradeableKnown for oneUnknown — not stated by the sourceYes
Operational conditionsidentical
Operating temperature (T-T)Known for oneUnknown — not stated by the source0 - 40 °C
Other features3 differ
Compatible operating systemsKnown for oneUnknown — not stated by the sourceWindows Vista/XP/2000 MAC OS X
Dimensions (WxDxH)Differs190 x 140 x 45 mm180 x 135 x 40 mm
InterfaceKnown for oneUnknown — not stated by the sourceUSB
Maximum data transfer rateDiffers0.054 Gbit/s0.3 Gbit/s
Power requirementsKnown for oneUnknown — not stated by the source12V DC, 1A
Supported WAN typeDiffersADSL2/2+ADSL2
Supported data transfer ratesKnown for oneUnknown — not stated by the source300, 270, 243, 240, 216, 180, 162, 120, 108 Mbps
Data transfer rateKnown for one11 Mbit/sUnknown — not stated by the source
Power supply typeKnown for one12 Vac, 1AUnknown — not stated by the source
WLAN data transfer rates supportedKnown for one54 Mbit/sUnknown — not stated by the source
Wireless LAN featuresidentical
Channels quantityKnown for one13 channelsUnknown — not stated by the source

A dash means the value is not stated by the source. Unknown values are never counted for or against a product, and there is no overall score.

More wireless router comparisons

All wireless router comparisons